#version 430

layout (location = 0) in vec2 position;

uniform mat4 proj;
uniform mat4 view;
uniform mat4 model;
uniform mat4 shadow;

out vec4 varShadowPosition;

void main(void) { 
    gl_Position = proj * view * model * vec4(position, 0.0, 1.0);
    varShadowPosition = shadow * model * vec4(position, 0.0, 1.0);
}